- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Typedefs | Enumerations
Font Functions
Canvas Functions

Functions that deals with fonts. More...

## Modules
| Font Path Functions
| Functions that edit the paths being used to load fonts.

## Typedefs
typedef enum _Evas_Font_Hinting_Flags | Evas_Font_Hinting_Flags
| Flags for Font Hinting. More...

## Enumerations
enum | _Evas_Font_Hinting_Flags { EVAS_FONT_HINTING_NONE, EVAS_FONT_HINTING_AUTO, EVAS_FONT_HINTING_BYTECODE }
| Flags for Font Hinting. More...
#define | evas_canvas_font_hinting_set(hinting) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_HINTING_SET), EO_TYPECHECK(Evas_Font_Hinting_Flags, hinting)
#define | evas_canvas_font_hinting_get(ret) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_HINTING_GET), EO_TYPECHECK(Evas_Font_Hinting_Flags *, ret)
#define | evas_canvas_font_hinting_can_hint(hinting, ret) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_HINTING_CAN_HINT), EO_TYPECHECK(Evas_Font_Hinting_Flags, hinting), EO_TYPECHECK(Eina_Bool *, ret)
#define | evas_canvas_font_cache_flush() EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_CACHE_FLUSH)
#define | evas_canvas_font_cache_set(size) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_CACHE_SET), EO_TYPECHECK(int, size)
#define | evas_canvas_font_cache_get(ret) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_CACHE_GET), EO_TYPECHECK(int *, ret)
#define | evas_canvas_font_available_list(ret) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_AVAILABLE_LIST), EO_TYPECHECK(Eina_List **, ret)
void | evas_font_hinting_set (Evas *e, Evas_Font_Hinting_Flags hinting)
| Changes the font hinting for the given evas. More...
Evas_Font_Hinting_Flags | evas_font_hinting_get (const Evas *e)
| Retrieves the font hinting used by the given evas. More...
Eina_Bool | evas_font_hinting_can_hint (const Evas *e, Evas_Font_Hinting_Flags hinting)
| Checks if the font hinting is supported by the given evas. More...
void | evas_font_cache_flush (Evas *e)
| Force the given evas and associated engine to flush its font cache. More...
void | evas_font_cache_set (Evas *e, int size)
| Changes the size of font cache of the given evas. More...
int | evas_font_cache_get (const Evas *e)
| Changes the size of font cache of the given evas. More...
Eina_List * | evas_font_available_list (const Evas *e)
| List of available font descriptions known or found by this evas. More...
void | evas_font_available_list_free (Evas *e, Eina_List *available)
| Free list of font descriptions returned by evas_font_dir_available_list(). More...
void | evas_font_path_clear (Evas *e)
| Removes all font paths loaded into memory for the given evas. More...
void | evas_font_path_append (Evas *e, const char *path)
| Appends a font path to the list of font paths used by the given evas. More...
void | evas_font_path_prepend (Evas *e, const char *path)
| Prepends a font path to the list of font paths used by the given evas. More...
const Eina_List * | evas_font_path_list (const Evas *e)
| Retrieves the list of font paths used by the given evas. More...

## Detailed Description

Functions that deals with fonts.

## Macro Definition Documentation

#define evas_canvas_font_hinting_set | ( |  | hinting | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_HINTING_SET), EO_TYPECHECK(Evas_Font_Hinting_Flags, hinting)

Since
  1.8

Changes the font hinting for the given evas.

Parameters

  [in] | hinting |

See Also
  evas_font_hinting_set

Referenced by evas_font_hinting_set().

#define evas_canvas_font_hinting_get | ( |  | ret | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_HINTING_GET), EO_TYPECHECK(Evas_Font_Hinting_Flags *, ret)

Since
  1.8

Retrieves the font hinting used by the given evas.

Parameters

  [out] | ret |

See Also
  evas_font_hinting_get

Referenced by evas_font_hinting_get().

#define evas_canvas_font_hinting_can_hint | ( |  | hinting,
|  |  | ret
| ) |  | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_HINTING_CAN_HINT), EO_TYPECHECK(Evas_Font_Hinting_Flags, hinting), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Checks if the font hinting is supported by the given evas.

Parameters

  [in] | hinting |
  [out] | ret |

See Also
  evas_font_hinting_can_hint

Referenced by evas_font_hinting_can_hint().

#define evas_canvas_font_cache_flush | ( |  | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_CACHE_FLUSH)

Since
  1.8

Force the given evas and associated engine to flush its font cache.

See Also
  evas_font_cache_flush

Referenced by evas_font_cache_flush().

#define evas_canvas_font_cache_set | ( |  | size | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_CACHE_SET), EO_TYPECHECK(int, size)

Since
  1.8

Changes the size of font cache of the given evas.

Parameters

  [in] | size |

See Also
  evas_font_cache_set

Referenced by evas_font_cache_set().

#define evas_canvas_font_cache_get | ( |  | ret | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_CACHE_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Changes the size of font cache of the given evas.

Parameters

  [out] | ret |

See Also
  evas_font_cache_get

Referenced by evas_font_cache_get().

#define evas_canvas_font_available_list | ( |  | ret | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_FONT_AVAILABLE_LIST), EO_TYPECHECK(Eina_List **, ret)

Since
  1.8

List of available font descriptions known or found by this evas.

Parameters

  [out] | ret |

See Also
  evas_font_available_list

Referenced by evas_font_available_list().

## Typedef Documentation

typedef enum _Evas_Font_Hinting_Flags Evas_Font_Hinting_Flags

Flags for Font Hinting.

Flags for Font Hinting

## Enumeration Type Documentation

enum _Evas_Font_Hinting_Flags

Flags for Font Hinting.

Enumerator
EVAS_FONT_HINTING_NONE | No font hinting.
EVAS_FONT_HINTING_AUTO | Automatic font hinting.
EVAS_FONT_HINTING_BYTECODE | Bytecode font hinting.

## Function Documentation

void evas_font_hinting_set | ( | Evas * | e,
|  | Evas_Font_Hinting_Flags | hinting
| ) |  |

Changes the font hinting for the given evas.

Parameters

  e | The given evas.
  hinting | The hinting to use, one of EVAS_FONT_HINTING_NONE, EVAS_FONT_HINTING_AUTO, EVAS_FONT_HINTING_BYTECODE.

References evas_canvas_font_hinting_set.

Evas_Font_Hinting_Flags evas_font_hinting_get | ( | const Evas * | e | ) |

Retrieves the font hinting used by the given evas.

Parameters

  e | The given evas to query.

Returns
  The hinting in use, one of EVAS_FONT_HINTING_NONE, EVAS_FONT_HINTING_AUTO, EVAS_FONT_HINTING_BYTECODE.

References evas_canvas_font_hinting_get, and EVAS_FONT_HINTING_BYTECODE.

Eina_Bool evas_font_hinting_can_hint | ( | const Evas * | e,
|  | Evas_Font_Hinting_Flags | hinting
| ) |  |

Checks if the font hinting is supported by the given evas.

Parameters

  e | The given evas to query.
  hinting | The hinting to use, one of EVAS_FONT_HINTING_NONE, EVAS_FONT_HINTING_AUTO, EVAS_FONT_HINTING_BYTECODE.

Returns
  `EINA_TRUE` if it is supported, `EINA_FALSE` otherwise.

References evas_canvas_font_hinting_can_hint.

void evas_font_cache_flush | ( | Evas * | e | ) |

Force the given evas and associated engine to flush its font cache.

Parameters

  e | The given evas to flush font cache.

References evas_canvas_font_cache_flush.

void evas_font_cache_set | ( | Evas * | e,
|  | int | size
| ) |  |

Changes the size of font cache of the given evas.

Parameters

  e | The given evas to flush font cache.
  size | The size, in bytes.

References evas_canvas_font_cache_set.

int evas_font_cache_get | ( | const Evas * | e | ) |

Changes the size of font cache of the given evas.

Parameters

  e | The given evas to flush font cache.

Returns
  The size, in bytes.

References evas_canvas_font_cache_get.

Eina_List* evas_font_available_list | ( | const Evas * | e | ) |

List of available font descriptions known or found by this evas.

The list depends on Evas compile time configuration, such as fontconfig support, and the paths provided at runtime as explained in Font Path Functions.

Parameters

  e | The evas instance to query.

Returns
  a newly allocated list of strings. Do not change the strings. Be sure to call evas_font_available_list_free() after you're done.

References evas_canvas_font_available_list.

void evas_font_available_list_free | ( | Evas * | e,
|  | Eina_List * | available
| ) |  |

Free list of font descriptions returned by evas_font_dir_available_list().

Parameters

  e | The evas instance that returned such list.
  available | the list returned by evas_font_dir_available_list().

void evas_font_path_clear | ( | Evas * | e | ) |

Removes all font paths loaded into memory for the given evas.

Parameters

  e | The given evas.

References evas_canvas_font_path_clear.

void evas_font_path_append | ( | Evas * | e,
|  | const char * | path
| ) |  |

Appends a font path to the list of font paths used by the given evas.

Parameters

  e | The given evas.
  path | The new font path.

References evas_canvas_font_path_append.

void evas_font_path_prepend | ( | Evas * | e,
|  | const char * | path
| ) |  |

Prepends a font path to the list of font paths used by the given evas.

Parameters

  e | The given evas.
  path | The new font path.

References evas_canvas_font_path_prepend.

const Eina_List* evas_font_path_list | ( | const Evas * | e | ) |

Retrieves the list of font paths used by the given evas.

Parameters

  e | The given evas.

Returns
  The list of font paths used.

References evas_canvas_font_path_list.